#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x
%bcond_without	nvidia	# NVidia sensors

%ifnarch %{ix86} %{x8664}
%undefine	with_nvidia
%endif
Summary:	MATE Sensors Applet
Summary(pl.UTF-8):	MATE Sensors Applet - aplet z czujnikami dla środowiska MATE
Name:		mate-applet-sensors
Version:	1.12.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/mate-sensors-applet-%{version}.tar.xz
# Source0-md5:	5bd2118d8e8ec27c756f32b1e2dea8af
URL:		https://github.com/mate-desktop/mate-sensors-applet
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.0.4
BuildRequires:	dbus-glib-devel >= 0.80
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.50.1
%{?with_nvidia:BuildRequires:	libXNVCtrl-devel >= 256.25}
BuildRequires:	libatasmart-devel >= 0.16
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxslt-progs
BuildRequires:	lm_sensors-devel
BuildRequires:	mate-common
BuildRequires:	mate-panel-devel >= 1.1.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
%{?with_nvidia:BuildRequires:	xorg-lib-libX11-devel}
%{?with_nvidia:BuildRequires:	xorg-lib-libXext-devel}
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	cairo >= 1.0.4
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	hicolor-icon-theme
Requires:	libnotify >= 0.7.0
Requires:	mate-panel >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# plugin_name symbol comes from plugins
%define		skip_post_check_so	libmate-sensors-applet-plugin.so.*

%define		_libexecdir	%{_libdir}/mate-panel

%description
MATE Sensors Applet is an applet for the MATE Panel to display
readings from hardware sensors, including CPU temperature, fan speeds
and voltage readings under Linux.

%description -l pl.UTF-8
MATE Sensors Applet to aplet panelu MATE wyświetlający odczyty z
czujników sprzętowych, w tym temperaturę procesora, prędkość
wiatraczków oraz odczyty napięcia pod Linuksem.

%package plugin-aticonfig
Summary:	MATE Sensors Applet plugin to show ATI GPUs temperature
Summary(pl.UTF-8):	Wtyczka apletu MATE Sensors do pokazywania temperatury GPU ATI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	/usr/bin/aticonfig

%description plugin-aticonfig
MATE Sensors Applet plugin to show ATI GPUs temperature.

%description plugin-aticonfig -l pl.UTF-8
Wtyczka apletu MATE Sensors do pokazywania temperatury GPU ATI.

%package plugin-hddtemp
Summary:	MATE Sensors Applet plugin to show disk temperatures via hddtemp
Summary(pl.UTF-8):	Wtyczka apletu MATE Sensors do pokazywania temperatury dysków poprzez hddtemp
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	hddtemp-hddtempd

%description plugin-hddtemp
MATE Sensors Applet plugin to show disk temperatures from ATA
S.M.A.R.T. read via hddtemp server.

%description plugin-hddtemp -l pl.UTF-8
Wtyczka apletu MATE Sensors do pokazywania temperatury dysków
odczytanych z ATA S.M.A.R.T. poprzez serwer hddtemp.

%package plugin-libsensors
Summary:	MATE Sensors Applet plugin to show values read by lm_sensors
Summary(pl.UTF-8):	Aplet MATE Sensors do pokazywania wartości odczytanych przez lm_sensors
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-libsensors
MATE Sensors Applet plugin to show values read by lm_sensors:
temperatures, fan speeds and voltages.

%description plugin-libsensors -l pl.UTF-8
Aplet MATE Sensors do pokazywania wartości odczytanych przez
lm_sensors: temperatur, prędkości wiatraczków, napięć.

%package plugin-nvidia
Summary:	MATE Sensors Applet plugin to show NVidia GPUs temperature
Summary(pl.UTF-8):	Wtyczka apletu MATE Sensors do pokazywania temperatury GPU NVidia
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugin-nvidia
MATE Sensors Applet plugin to show NVidia GPUs temperature.

%description plugin-nvidia -l pl.UTF-8
Wtyczka apletu MATE Sensors do pokazywania temperatury GPU NVidia.

%package plugin-udisks
Summary:	MATE Sensors Applet plugin to show disk temperatures via UDisks
Summary(pl.UTF-8):	Wtyczka apletu MATE Sensors do pokazywania temperatury dysków poprzez UDisks
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib >= 0.80
Requires:	libatasmart >= 0.16
Requires:	udisks2

%description plugin-udisks
MATE Sensors Applet plugin to show disk temperatures from ATA
S.M.A.R.T. read via UDisks.

%description plugin-udisks -l pl.UTF-8
Wtyczka apletu MATE Sensors do pokazywania temperatury dysków
odczytanych z ATA S.M.A.R.T. poprzez UDisks.

%package libs
Summary:	MATE Sensors Applet library
Summary(pl.UTF-8):	Biblioteka MATE Sensors Applet
Group:		Libraries
Requires:	glib2 >= 1:2.36.0

%description libs
MATE Sensors Applet library.

%description libs -l pl.UTF-8
Biblioteka MATE Sensors Applet.

%package devel
Summary:	Header files for MATE Sensors Applet plugins development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek apletu MATE Sensors
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0

%description devel
Header files for MATE Sensors Applet plugins development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek apletu MATE Sensors.

%prep
%setup -q -n mate-sensors-applet-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--with-aticonfig=/usr/bin/aticonfig \
	%{?with_gtk3:--with-gtk=3.0} \
	%{!?with_nvidia:--without-nvidia}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/mate-sensors-applet/plugins/*.la

%find_lang mate-sensors-applet --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f mate-sensors-applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libexecdir}/mate-sensors-applet
%dir %{_libdir}/mate-sensors-applet
%dir %{_libdir}/mate-sensors-applet/plugins
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libacpi.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libeee.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libi8k.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libibm-acpi.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libmbmon.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libomnibook.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libpmu-sys.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libsmu-sys.so
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libsonypi.so
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.sensor.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.applets.sensors-applet.mate-panel-applet
%{_datadir}/mate-sensors-applet
%{_iconsdir}/hicolor/48x48/apps/mate-sensors-applet.png
%{_iconsdir}/hicolor/*x*/devices/mate-sensors-applet-*.png
%{_pixmapsdir}/mate-sensors-applet

%ifarch i586 i686 athlon pentium2 pentium3 pentium4 %{x8664}
%files plugin-aticonfig
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libaticonfig.so
%endif

%files plugin-hddtemp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libhddtemp.so

%files plugin-libsensors
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/liblibsensors.so

%if %{with nvidia}
%files plugin-nvidia
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libnvidia.so
%endif

%files plugin-udisks
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mate-sensors-applet/plugins/libudisks.so

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-sensors-applet-plugin.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmate-sensors-applet-plugin.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-sensors-applet-plugin.so
%{_includedir}/mate-sensors-applet
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-applet-sensors.git;a=log;h=master

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> cd6d031
- updated nvidia dependencies

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> b6d894f
- up to 1.12.0

* Sun Aug 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 71f4547
- updated to 1.10.4

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> a9a7242
- up to 1.10.3

* Sat Jun 13 2015 Jan Palus <atler@pld-linux.org> ba37e2f
- up to 1.10.1

* Sat May 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 15d4c98
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)
- removed obsolete udisks patch

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> ca8d17d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3175a26
- updated gettext BR

* Fri Jul 11 2014 Jakub Bogusz <qboosh@pld-linux.org> c5716e3
- cmn locale is supported now
- fixed x86-centrism

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> c983aad
- up to 1.8.0

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 970ab47
- typo?

* Thu Jan 23 2014 Jan Rękorajski <baggins@pld-linux.org> fe0848d
- fix ifarch
- rel 3

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> 8a997a7
- no aticonfig on i486 (no fglrx there)
- rel 2

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 79a7142
- build nvidia plugin by default

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d96619
- new
- udisks patch fixes udisks condition (valid libatasmart CFLAGS might be empty)

